polybori::groebner::CacheManager Class Reference

`#include <cache_manager.h>`

## Public Types

typedef Polynomial::poly_vec_map_type | impl_type
typedef std::vector< Polynomial > | poly_vec_type
typedef boost::shared_ptr< poly_vec_type > | res_type
typedef Polynomial::poly_vec_map_type::const_iterator | impl_iterator_type

## Public Member Functions

| CacheManager ()
res_type | lookup (const Polynomial &p, bool &succ)
void | insert (const Polynomial &key, const poly_vec_type &value)

## Protected Attributes

impl_type | impl

## Member Typedef Documentation

typedef Polynomial::poly_vec_map_type::const_iterator polybori::groebner::CacheManager::impl_iterator_type

typedef Polynomial::poly_vec_map_type polybori::groebner::CacheManager::impl_type

typedef std::vector<Polynomial> polybori::groebner::CacheManager::poly_vec_type

typedef boost::shared_ptr<poly_vec_type> polybori::groebner::CacheManager::res_type

## Constructor & Destructor Documentation

polybori::groebner::CacheManager::CacheManager | ( |  | ) |

inline

## Member Function Documentation

void polybori::groebner::CacheManager::insert | ( | const Polynomial & | key,
|  | const poly_vec_type & | value
| ) |  |

inline

References polybori::BoolePolyRing::nVariables(), polybori::BoolePolynomial::ring(), polybori::groebner::set_up_translation_vectors(), polybori::BooleExponent::size(), polybori::groebner::translate_indices(), and polybori::BoolePolynomial::usedVariablesExp().

Referenced by polybori::groebner::full_implication_gb().

res_type polybori::groebner::CacheManager::lookup | ( | const Polynomial & | p,
|  | bool & | succ
| ) |  |

inline

References polybori::BoolePolyRing::nVariables(), polybori::BoolePolynomial::ring(), polybori::groebner::set_up_translation_vectors(), polybori::BooleExponent::size(), polybori::groebner::translate_indices(), and polybori::BoolePolynomial::usedVariablesExp().

Referenced by polybori::groebner::full_implication_gb().

## Member Data Documentation

impl_type polybori::groebner::CacheManager::impl

protected

The documentation for this class was generated from the following file:

- cache_manager.h